Bug 238647 - Roll ANGLE to 2022-03-31 (fe28a4295af087ee82b8f629b67176b95019af6d)
Summary: Roll ANGLE to 2022-03-31 (fe28a4295af087ee82b8f629b67176b95019af6d)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: ANGLE (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kenneth Russell
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-03-31 19:27 PDT by Kenneth Russell
Modified: 2022-04-04 00:38 PDT (History)
12 users (show)

See Also:


Attachments
Patch (974.33 KB, patch)
2022-03-31 20:17 PDT, Kenneth Russell
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2022-03-31 19:27:15 PDT
To pick up the latest bug fixes to ANGLE's Metal backend, including to the BaseVertex/BaseInstance extensions, let's roll ANGLE to the state at 2022-03-30:

f5d20de8c81fbabc36c21b31e5de71d3d566761a
https://chromium.googlesource.com/angle/angle/+/f5d20de8c81fbabc36c21b31e5de71d3d566761a
Comment 1 Kenneth Russell 2022-03-31 20:11:52 PDT
Unfortunately I made a mistake during the roll I had in progress, and it would have been difficult to reconstruct it. Instead, rolling forward to today's ANGLE:

fe28a4295af087ee82b8f629b67176b95019af6d
https://chromium.googlesource.com/angle/angle/+/fe28a4295af087ee82b8f629b67176b95019af6d

This includes the upstreaming of Kyle's buffer data update fixes and a couple more minor conflicts resolved - still hopefully low risk of regressions.
Comment 2 Kenneth Russell 2022-03-31 20:17:31 PDT
Created attachment 456313 [details]
Patch
Comment 3 EWS Watchlist 2022-03-31 20:19:25 PDT
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 4 EWS 2022-04-04 00:37:46 PDT
Committed r292281 (249179@main): <https://commits.webkit.org/249179@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 456313 [details].
Comment 5 Radar WebKit Bug Importer 2022-04-04 00:38:17 PDT
<rdar://problem/91227528>